#include <string>
#include <sstream>
#include "windows.h"

class Mailbox
{
private:
	struct box {
		char nick[40];
		std::stringstream buffer;
		box *next;
		box *prev;
		box()
		{
			buffer << "\r\nMessages: ";
			next=NULL;
			prev=NULL;
		}
	};
	box *first;
	box *last;
	unsigned int total;
	CRITICAL_SECTION mbcs;
public:
	Mailbox(void);
	~Mailbox(void);
	BOOL Add(char *nick);
	BOOL AppendMsg(std::string msg, char *nick, char *fromnick);
	std::string GetMessages(char *nick);
	BOOL DelMessages(char *nick);
	BOOL Find(char *nick);
};